/*
 * COPYRIGHT NOTICE
 * Copyright (c) Alteon Networks, Inc. 1996 
 * All rights reserved
 */
/*
 * HISTORY
 * $Log: led.h $
 * Revision copper_fhwang/1 1999/10/12 19:33:28 fhwang
 * 	to support new led (4 leds)
 * 
 * Revision 1.1.2.1  1997/11/15  18:38:40  hayes
 * 	initial checkin
 * 	[1997/11/15  18:37:33  hayes]
 *
 * $EndLog$
 */

/*
 * The serial->parallel LED bits have the following meaning:
 */

#define LED_100_DATA	0x02
#define LED_100_LINK	0x04
#define LED_100_ACTIVE	0x08
#define LED_1000_DATA	0x20
#define LED_1000_LINK	0x40
#define LED_1000_ACTIVE	0x80

/*
 * defines for led.c
 */

#define SER_LED_CLK	TG_MLC_LED_LINK
#define SER_LED_DATA	TG_MLC_LED_DATA
#define SER_LED_MASK    (SER_LED_CLK | SER_LED_DATA)

void set_led(U8 bits);

#define LED_ALL_OFF		0
#define LED_10_ON_DT_OFF	1
#define LED_10_ON_DT_ON		2
#define LED_100_ON_DT_OFF	3
#define LED_100_ON_DT_ON	4
#define LED_1000_ON_DT_OFF	5
#define LED_1000_ON_DT_ON	6
#define LED_ALL_ON		7

#define LED_DATA_LEN		4
#define LED_PATNS		8


void set_led4(U32 led_patn);




