/*
 * COPYRIGHT NOTICE
 * Copyright (c) Alteon Networks, Inc. 1996
 * All rights reserved
 */
/*
 * HISTORY
 * $Log: profile.h,v $
 * Revision 1.1.2.3  1998/04/11  05:15:15  shuang
 * 	move fast timer to cpu B, add receive coalesed ticks
 * 	[1998/04/11  04:58:34  shuang]
 *
 * Revision 1.1.2.2  1998/02/05  20:22:21  ted
 * 	fix stats, was using wrong structure
 * 	[1998/02/05  20:18:58  ted]
 * 
 * Revision 1.1.2.1  1998/01/14  23:25:55  ted
 * 	rearrange directories
 * 	[1998/01/14  23:17:51  ted]
 * 
 * Revision 1.1.2.1  1997/11/19  19:23:17  ted
 * 	Support Tigon and Tigon2 in the same driver
 * 	[1997/11/19  19:19:44  ted]
 * 
 * Revision 1.2.2.3  1996/11/15  04:24:15  hayes
 * 	convert to new header file structure.
 * 	[1996/11/15  04:12:18  hayes]
 * 
 * Revision 1.2.2.2  1996/11/05  21:54:27  hayes
 * 	Final pre-ODE merge
 * 	[1996/11/05  21:52:05  hayes]
 * 
 * Revision 1.2.2.1  1996/11/01  18:25:03  ted
 * 	change rr_ to tg_, fix compiler warnings, add copyright notices
 * 	[1996/10/29  22:06:28  ted]
 * 
 * $EndLog$
 */
/*
 * FILE profile.h
 *
 * $Source: /projects/rcs/sw/ge/./nic/fw2/common/profile.h,v $
 * $Revision: 1.1.2.3 $ $Locker:  $
 * $Date: 1998/04/11 05:15:15 $ $Author: shuang $ $State: Exp $
 */

#ifndef _PROFILE_H_
#define _PROFILE_H_

/*
 * some quick profiling for the NIC's event handlers
 */

#if FW_PROFILE

#define RETURN(__evt) { \
	U32 __tmp; \
	__tmp = trp->gen_control.timer; \
	if (nicp->profile_last < __tmp) /* wrap */ \
	    nicfp->stats.nicProfile[__evt] += (__tmp - nicp->profile_last); \
	else \
	    nicfp->stats.nicProfile[__evt] += (nicp->profile_last - __tmp); \
	nicp->profile_last = __tmp; \
	return; \
	}

#else /* FW_PROFILE */

#define RETURN(__evt)	return

#endif /* FW_PROFILE */

#endif /* _PROFILE_H_ */
