/*
 * COPYRIGHT NOTICE
 * Copyright (c) Alteon Networks, Inc. 1998
 * All rights reserved
 * 
 */
/*
 * HISTORY
 * $Log: parsefile.h,v $
 * Revision 1.1.2.1  1998/05/01  02:01:14  tibor
 * 	initial version, for -h option
 * 	[1998/05/01  01:36:01  tibor]
 *
 * $EndLog$
 */

#ifndef _PARSEFILE_H_
#define _PARSEFILE_H_

/*
 * definition of a #defin token/value pair used by parseFile().  a null
 * symbol defines end of list
 */
typedef struct symbolElement {
    char *pSymbol;
    unsigned long value;
} symbolElement_t;

int parseFile(char *fName, symbolElement_t *list);

#endif /* _PARSEFILE_H_ */
