# COPYRIGHT NOTICE
# Copyright (c) Alteon Networks, Inc. 1996, 1997 
# All rights reserved
# 
# 
# HISTORY
# $Log: Makefile,v $
#
# $EndLog$

#
# make target specific changes here
#

LIBRARIES	= libutils.a
EXPDIR 		= /usr/lib/utils/
EXPLIB_TARGETS 	= export_${LIBRARIES}

#OFILES		= CElf.o strcopy.o getopt.o dirname.o basename.o nextToken.o parseTools.o parseDefFile.o com_crc.o CMedia.o
OFILES		= CElf.o strcopy.o getopt.o dirname.o basename.o nextToken.o
CFILES		= CElf.c strcopy.c com_crc.c getopt.c dirname.c basename.c nextToken.c CMedia.c parseTools.c parseDefFile.c

#
# override the defaults for clean and clobber
#
CLEANFILES	= *.list *.ss ${OFILES}

INCFLAGS	= \
		-I../include \
		-I../common \
 		-I../../common \
		-I../../libcommon \

ANSI_CC		= gcc
#OPT_LEVEL	= -O3 -g
OPT_LEVEL	= -g 
CFLAGS		= ${OPT_LEVEL} -Wall -DALT_STREAM -DALT_SYSV -DTIGON_REV=3 ${INCFLAGS}
_OFILES_ 	= ${OFILES}
_CC_		= ${ANSI_CC}
_CCFLAGS_	= ${OPT_LEVEL} ${CFLAGS} ${INCFLAGS} -DOEM_ALTEON
_LDFLAGS_	= ${LDFLAGS} 
_LD_		= ${ANSI_LD}
_LIBS_		= ${LIBDIRS} ${LIBS}
MV=mv
LIBFLAGS	= 
LIBS		= 

#
# modify lines below here at your own risk
#

CDEFS=-DBIG_ENDIAN


#
# end of defines section, rules follow
#

DEPENDENCIES = yes

libutils.a: ${OFILES}
	ar cru $@ ${OFILES} 

.c.o:
	${_CC_} ${_CCFLAGS_} -c $<

clean:
	@rm -f ${OFILES} libutils.a
