/*
 * COPYRIGHT NOTICE
 * Copyright (c) Alteon Networks, Inc. 1996 
 * All rights reserved
 * 
 */
/*
 * HISTORY
 * $Log: tcp.h,v $
 * Revision 1.1.2.2  1998/09/30  18:50:23  shuang
 * 	change for new 12.3 API
 * 	[1998/09/30  18:40:45  shuang]
 *
 * Revision 1.1.2.1  1998/01/14  23:26:02  ted
 * 	rearrange directories
 * 	[1998/01/14  23:17:57  ted]
 * 
 * Revision 1.1.2.1  1997/11/19  19:23:27  ted
 * 	Support Tigon and Tigon2 in the same driver
 * 	[1997/11/19  19:20:05  ted]
 * 
 * Revision 1.1.2.1  1997/01/16  18:02:25  skapur
 * 	Addding new file to NIC FW base
 * 	[1996/12/02  17:58:27  skapur]
 * 
 * $EndLog$
 */
#ifndef _TCP_H
#define _TCP_H


/* TCP Packet Format Structure */
typedef struct tcp {
    U16 tcpSourcePort;
    U16 tcpDestPort;
    U32	tcpSeqNum;
    U32 tcpAckNum;
    U8  tcpHrdLen;
    U8  tcpCode;
    U16 tcpWindow;
    U16 tcpCheckSum;
    U16 tcpUrgentPtr;
    U8  ipData[0];
} tcp_t;

/* Misc. defines for TCP  Protocol */
#define	TCP_MIN_HLEN	20    /* TCP minimum Header Length in bytes */

#endif /* _TCP_H */
