/*
 * COPYRIGHT NOTICE
 * Copyright (c) Alteon Networks, Inc. 1996 
 * All rights reserved
 * 
 */
/*
 * HISTORY
 * $Log: udp.h,v $
 * Revision 1.1.2.2  1998/09/30  18:50:29  shuang
 * 	change for new 12.3 API
 * 	[1998/09/30  18:41:43  shuang]
 *
 * Revision 1.1.2.1  1998/01/14  23:26:07  ted
 * 	rearrange directories
 * 	[1998/01/14  23:18:06  ted]
 * 
 * Revision 1.1.2.1  1997/11/19  19:23:40  ted
 * 	Support Tigon and Tigon2 in the same driver
 * 	[1997/11/19  19:20:20  ted]
 * 
 * Revision 1.1.2.1  1997/01/16  18:02:27  skapur
 * 	Adding new file to NIC FW base
 * 	[1996/12/02  17:58:59  skapur]
 * 
 * $EndLog$
 */
#ifndef _UDP_H
#define _UDP_H


/* UDP Packet Format Structure */
typedef struct udp {
    U16 udpSourcePort;
    U16 udpDestPort;
    U16	udpLen;
    U16 udpCheckSum;
    U8  udpData[0];
} udp_t;

/* Misc. defines for UDP  Protocol */
#define	UDP_HLEN	8    /* UDP Header Length in Bytes */

#endif /* _UDP_H */
