#
# COPYRIGHT NOTICE
# Copyright (c) Alteon Networks, Inc. 1996
# All rights reserved
#
# HISTORY
# $Log: Makefile.gnu $
# Revision api12_3_ted/2 1999/05/03 20:26:18 ted
# 	fix up library access
# 
#
# $EndLog$
#

PROGRAMS	= genfw
EXPDIR		= /usr/bin/
EXPBIN_TARGETS	= export_genfw

CFILES		= genfw.c parsefile.c
OFILES		= genfw.o parsefile.o

CLEANFILES = ${OFILES} ${PROGRAMS}

INCFLAGS = -I../include \
	   -I../common \
	   -I../../common

ANSI_CC		= gcc
#OPT_LEVEL	= -O3 -g
OPT_LEVEL	= -g
CFLAGS		= -Wall -DALT_STREAM -DALT_SYSV -DTIGON_REV=3 ${INCFLAGS}

LIBDIRS 	= -L../lib -L/alteon-tools/lib
LIBS		= -lutils -lbfd -liberty

DEPENDENCIES = yes

_OFILES_ 	= ${OFILES}
_CC_		= ${ANSI_CC}
_CCFLAGS_	= ${OPT_LEVEL} ${CFLAGS} ${INCFLAGS} -DOEM_ALTEON
_LDFLAGS_	= ${LDFLAGS} 
_LD_		= ${ANSI_LD}
_LIBS_		= ${LIBDIRS} ${LIBS}
MV=mv

${PROGRAMS}: ${OFILES}
	${_CC_} -v -o $@.X ${_OFILES_} ${_LIBS_}
	${MV} $@.X $@.exe

.c.o:
	${_CC_} ${_CCFLAGS_} -c $<

clean:
	@echo removing ${CLEANFILES}
	@rm -f ${CLEANFILES}
