/*
 * COPYRIGHT NOTICE
 * Copyright (c) Alteon Networks, Inc. 1996, 1997, 1998 
 * All rights reserved
 * 
 */
/*
 * HISTORY
 * $Log: strcopy.c,v $
 * Revision 1.1.2.1  1998/06/02  04:57:55  tibor
 * 	libutils.a interface routines, strcopy
 * 	[1998/06/02  02:30:44  tibor]
 *
 * $EndLog$
 */

#include "alt_def.h"
#include <string.h>

/*
 * Function:	strcopy()
 *
 * Purpose:	same as strcpy except the returned pointer at str end
 *
 * Parms:	dest	- destination string
 *		src	- source string
 *
 * Returns:	dest string at end of string '\0'
 *
 */
char *
strcopy(register char *dest, register const char *src)
{
	for (; (*dest = *src); ++dest, ++src);
	return dest;
}
